{% extends 'base.html.twig' %}

{% block title %}Hello GameplayController!{% endblock %}

{% block page_stylesheet %}
    <link href="{{ asset('stylesheets/gameplay.css') }}" rel="stylesheet"/>
{% endblock %}

{% block body %}
    {# /* ---------------------------- ABOUT THE CLASSES --------------------------- */ #}
    <div class="container-fluid p-5 bg-secondary bg-gradient">
        <div class="container bg-dark bg-gradient pb-1 rounded bg-opacity-75 c-classes">
            <div class="row bg-dark text-light p-2 text-center">
                <h3>About Our Classes</h3>
            </div>

            <div class="row justify-content-around p-5">
                <p class="mb-2 text-center text-light">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus malesuada lectus ac congue aliquet. Sed at tincidunt nibh. Morbi mattis libero sed tincidunt tincidunt. Morbi euismod sit amet erat molestie tincidunt. Cras venenatis, enim eu tincidunt ornare, tellus justo lobortis massa, a ultrices nisl lorem sit amet sapien. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ultrices ullamcorper massa et convallis. Aliquam rutrum tincidunt augue, ac hendrerit justo.</p>
                <p class="mb-2 text-center text-light">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus malesuada lectus ac congue aliquet. Sed at tincidunt nibh. Morbi mattis libero sed tincidunt tincidunt. Morbi euismod sit amet erat molestie tincidunt. Cras venenatis, enim eu tincidunt ornare, tellus justo lobortis massa, a ultrices nisl lorem sit amet sapien. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ultrices ullamcorper massa et convallis. Aliquam rutrum tincidunt augue, ac hendrerit justo.</p>
            </div>
        </div>
    </div>

    {# /* -------------------------------- SEPARATOR ------------------------------- */ #}
    <div class="container-fluid p-2 bg-dark separator"></div>

    {# /* ------------------------------ CLASS CONTENT ----------------------------- */ #}
    <div class="container-fluid p-5 background-classes">
        <div class="container bg-dark bg-gradient pb-1 rounded bg-opacity-75 c-classes">
            <div class="row bg-dark text-light p-2 text-center">
                <h3>Classes</h3>
            </div>

            <div class="row justify-content-around">
                {% for class in classes %}
                    <div class="card m-3" style="width: 18rem;">
                        <img src="{{class.getImage()}}" class="card-img-top mt-3" alt="...">
                        <div class="card-body">
                            <h5 class="card-title text-center">{{class.getName()}}</h5>
                            
                            <p class="mb-1 font-weight-bold">Health: </p>
                            <div class="progress mb-2">
                                <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: {{class.getClassPercentages()['health_percentage']}}%"></div>
                            </div>

                            <p class="mb-1 font-weight-bold">Damage: </p>
                            <div class="progress mb-2">
                                <div class="progress-bar progress-bar-striped progress-bar-animated bg-danger" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: {{class.getClassPercentages()['damage_percentage']}}%"></div>
                            </div>

                            <p class="mb-1 font-weight-bold">Critical: </p>
                            <div class="progress mb-2">
                                <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: {{class.getClassPercentages()['critical_percentage']}}%"></div>
                            </div>

                            <a href="https://localhost:8000/gameplay/class/{{class.getId()}}" class="btn btn-dark text-light w-100 mt-2">More Info</a>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    {# /* -------------------------------- SEPARATOR ------------------------------- */ #}
    <div class="container-fluid p-2 bg-dark separator"></div>

    {# /* ----------------------------- ABOUT THE RACES ---------------------------- */ #}
    <div class="container-fluid p-5 bg-secondary bg-gradient">
        <div class="container bg-dark bg-gradient pb-1 rounded bg-opacity-75 c-classes">
            <div class="row bg-dark text-light p-2 text-center">
                <h3>About Our Races</h3>
            </div>

            <div class="row justify-content-around p-5">
                <p class="mb-2 text-center text-light">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus malesuada lectus ac congue aliquet. Sed at tincidunt nibh. Morbi mattis libero sed tincidunt tincidunt. Morbi euismod sit amet erat molestie tincidunt. Cras venenatis, enim eu tincidunt ornare, tellus justo lobortis massa, a ultrices nisl lorem sit amet sapien. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ultrices ullamcorper massa et convallis. Aliquam rutrum tincidunt augue, ac hendrerit justo.</p>
                <p class="mb-2 text-center text-light">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus malesuada lectus ac congue aliquet. Sed at tincidunt nibh. Morbi mattis libero sed tincidunt tincidunt. Morbi euismod sit amet erat molestie tincidunt. Cras venenatis, enim eu tincidunt ornare, tellus justo lobortis massa, a ultrices nisl lorem sit amet sapien. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ultrices ullamcorper massa et convallis. Aliquam rutrum tincidunt augue, ac hendrerit justo.</p>
            </div>
        </div>
    </div>

    {# /* -------------------------------- SEPARATOR ------------------------------- */ #}
    <div class="container-fluid p-2 bg-dark separator"></div>

    {# /* ------------------------------ RACE CONTENT ------------------------------ */ #}
    <div class="container-fluid p-5 background-races">
        <div class="container bg-dark bg-gradient pb-1 rounded bg-opacity-75 c-races">
            <div class="row bg-dark text-light p-2 text-center">
                <h3>Races</h3>
            </div>

            <div class="row justify-content-around">
                {% for race in races %}
                    <div class="card m-3" style="width: 18rem;">
                        <img src="{{race.getImage()}}" class="card-img-top mt-3" alt="...">
                        <div class="card-body">
                            <h5 class="card-title text-center">{{race.getName()}}</h5>
                            
                            <p class="mb-1 font-weight-bold">Health: </p>
                            <div class="progress mb-2">
                                <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: {{race.getRacePercentages()['health_percentage']}}%"></div>
                            </div>

                            <p class="mb-1 font-weight-bold">Damage: </p>
                            <div class="progress mb-2">
                                <div class="progress-bar progress-bar-striped progress-bar-animated bg-danger" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: {{race.getRacePercentages()['damage_percentage']}}%"></div>
                            </div>

                            <p class="mb-1 font-weight-bold">Critical: </p>
                            <div class="progress mb-2">
                                <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: {{race.getRacePercentages()['critical_percentage']}}%"></div>
                            </div>

                            <a href="https://localhost:8000/gameplay/race/{{race.getId()}}" class="btn btn-dark text-light w-100 mt-2">More Info</a>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

{% endblock %}
